DocumentationTool.Location (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.tools, interface: DocumentationTool, enum: Location
Keywords: javax.tools.DocumentationTool.Location class

# Enum Class DocumentationTool.Location

java.lang.Object
java.lang.Enum<DocumentationTool.Location>
javax.tools.DocumentationTool.Location

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentationTool.Location>`, `Constable`, `JavaFileManager.Location`

Enclosing interface:
  `DocumentationTool`

public static enum DocumentationTool.Location extends Enum<DocumentationTool.Location> implements JavaFileManager.Location
Locations specific to `DocumentationTool`.

Since:
  1.8
See Also:
  - `StandardLocation`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOCLET_PATH`
  Location to search for doclets.
  `DOCUMENTATION_OUTPUT`
  Location of new documentation files.
  `SNIPPET_PATH`
  Location to search for snippets.
  `TAGLET_PATH`
  Location to search for taglets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this location.
  `boolean`
  `isOutputLocation()`
  Determines if this is an output location.
  `static DocumentationTool.Location`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentationTool.Location[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javax.tools.JavaFileManager.Location

  `isModuleOrientedLocation`

- ## Enum Constant Details

  - ### DOCUMENTATION_OUTPUT

    public static final DocumentationTool.Location DOCUMENTATION_OUTPUT
    Location of new documentation files.

  - ### DOCLET_PATH

    public static final DocumentationTool.Location DOCLET_PATH
    Location to search for doclets.

  - ### TAGLET_PATH

    public static final DocumentationTool.Location TAGLET_PATH
    Location to search for taglets.

  - ### SNIPPET_PATH

    public static final DocumentationTool.Location SNIPPET_PATH
    Location to search for snippets.
    Since:
      18

- ## Method Details

  - ### values

    public static DocumentationTool.Location[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentationTool.Location valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Description copied from interface: `JavaFileManager.Location`
    Returns the name of this location.
    Specified by:
      `getName` in interface `JavaFileManager.Location`
    Returns:
      a name

  - ### isOutputLocation

    public boolean isOutputLocation()
    Description copied from interface: `JavaFileManager.Location`
    Determines if this is an output location. An output location is a location that is conventionally used for output.
    Specified by:
      `isOutputLocation` in interface `JavaFileManager.Location`
    Returns:
      true if this is an output location, false otherwise